summaryrefslogtreecommitdiffstats
path: root/gold/testsuite/ver_test_7.sh
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@airs.com>2008-03-29 07:19:02 +0000
committerIan Lance Taylor <ian@airs.com>2008-03-29 07:19:02 +0000
commit479f65031f8b864bf4973b8495761aa769a087cf (patch)
treec5b9a33611480286600f14a1e042b464667b1919 /gold/testsuite/ver_test_7.sh
parent7cc70d1017af479e2b10d89b2b779792b7892569 (diff)
downloadppe42-binutils-479f65031f8b864bf4973b8495761aa769a087cf.tar.gz
ppe42-binutils-479f65031f8b864bf4973b8495761aa769a087cf.zip
* symtab.cc (Symbol_table::add_from_object): If we don't use the
new symbol when resolving, don't call set_is_default. * testsuite/ver_test_7.cc: New file. * testsuite/ver_test_7.sh: New file. * testsuite/Makefile.am (ver_test_7.so): New target. (ver_test_7.o): New target. (check_SCRIPTS): Add ver_test_7.sh. (check_DATA): Add ver_test_7.syms. (ver_test_7.syms): New target.
Diffstat (limited to 'gold/testsuite/ver_test_7.sh')
-rwxr-xr-xgold/testsuite/ver_test_7.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/gold/testsuite/ver_test_7.sh b/gold/testsuite/ver_test_7.sh
new file mode 100755
index 0000000000..04d35fc9e9
--- /dev/null
+++ b/gold/testsuite/ver_test_7.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# ver_test_7.sh -- test that symbol has correct version
+
+# Copyright 2008 Free Software Foundation, Inc.
+# Written by Ian Lance Taylor <iant@google.com>.
+
+# This file is part of gold.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston,
+# MA 02110-1301, USA.
+
+# This file goes with ver_test_4.script and ver_test_5.script. The
+# symbol t2_2 is not defined when ver_test_5.script is used.
+
+check()
+{
+ if ! grep -q "$2" "$1"
+ then
+ echo "Did not find expected symbol in $1:"
+ echo " $2"
+ echo ""
+ echo "Actual output below:"
+ cat "$1"
+ exit 1
+ fi
+}
+
+check ver_test_7.syms "t2_2@@VER2"
+check ver_test_7.syms "t2_2@VER1"
+
+exit 0
OpenPOWER on IntegriCloud